searchData={"items":[{"type":"module","title":"PhpAssocMap","doc":"","ref":"PhpAssocMap.html"},{"type":"function","title":"PhpAssocMap.ast/1","doc":"Gets the document AST from leex and yecc parser. The ast is automatically obtain from to_tuple/1 and to_map/1","ref":"PhpAssocMap.html#ast/1"},{"type":"function","title":"Exmples - PhpAssocMap.ast/1","doc":"iex> PhpAssocMap.ast(\"['key'=>['another_key'=>'value']]\")\n      [{\"key\", [{\"another_key\", \"value\"}]}]","ref":"PhpAssocMap.html#ast/1-exmples"},{"type":"function","title":"PhpAssocMap.from_map/1","doc":"Converts a map structure to an associative array string. The string key and value are single quoted\n\n  The returned document will not be formatted yet. Use PhpAssocMap.Exploder.explode/1 or PhpAssocMap.Exploder.explode/2 to have it formatted.","ref":"PhpAssocMap.html#from_map/1"},{"type":"function","title":"Exmples - PhpAssocMap.from_map/1","doc":"iex> PhpAssocMap.from_map(%{\"key\" => %{\"another_key\" => \"value\"}})\n      \"['key'=>['another_key'=>'value']]\"","ref":"PhpAssocMap.html#from_map/1-exmples"},{"type":"function","title":"PhpAssocMap.from_tuple/1","doc":"Converts a keyword list structure to an associative array string. The string key and value are single quoted\n\n  The returned document will not be formatted yet. Use PhpAssocMap.Exploder.explode/1 or PhpAssocMap.Exploder.explode/2 to have it formatted.","ref":"PhpAssocMap.html#from_tuple/1"},{"type":"function","title":"Exmples - PhpAssocMap.from_tuple/1","doc":"iex> PhpAssocMap.from_tuple([{\"key\", [{\"another_key\", \"value\"}]}])\n      \"['key'=>['another_key'=>'value']]\"","ref":"PhpAssocMap.html#from_tuple/1-exmples"},{"type":"function","title":"PhpAssocMap.to_map/1","doc":"Parses an associative array string (or charlist) to a key-valued map. Both single and double quotes are supported.\n\n  *Note*: If the string starts with `<?php return`, it'll be ignored","ref":"PhpAssocMap.html#to_map/1"},{"type":"function","title":"Exemples - PhpAssocMap.to_map/1","doc":"iex> PhpAssocMap.to_map(\"['key' => ['another_key' => 'value']]\")\n      %{\"key\" => %{\"another_key\" => \"value\"}}\n\n      iex> PhpAssocMap.to_map(\"<?php return ['key' => ['another_key' => 'value']];\")\n      %{\"key\" => %{\"another_key\" => \"value\"}}","ref":"PhpAssocMap.html#to_map/1-exemples"},{"type":"function","title":"PhpAssocMap.to_tuple/1","doc":"Parses an associative array string (or charlist) to a key-valued keyword list. Both single and double quotes are supported.\n\n  *Note*: If the string starts with `<?php return`, it'll be ignored","ref":"PhpAssocMap.html#to_tuple/1"},{"type":"function","title":"Exemples - PhpAssocMap.to_tuple/1","doc":"iex> PhpAssocMap.to_tuple(\"['key' => ['another_key' => 'value']]\")\n      [{\"key\", [{\"another_key\", \"value\"}]}]\n\n      iex> PhpAssocMap.to_tuple(\"<?php return ['key' => ['another_key' => 'value']];\")\n      [{\"key\", [{\"another_key\", \"value\"}]}]","ref":"PhpAssocMap.html#to_tuple/1-exemples"},{"type":"module","title":"PhpAssocMap.Exploder","doc":"","ref":"PhpAssocMap.Exploder.html"},{"type":"function","title":"PhpAssocMap.Exploder.explode/1","doc":"Indents the whole associative array using either tabs or spaces. Defaults to 2 spaces.\n\n  Use explode/2 to specify identation.\n\n  Exemples\n\n      iex> PhpAssocMap.Exploder.explode(\"['key'=>['next'=>'value']]\")\n      \"[\n  'key'=>[\n    'next'=>'value'\n    ]\n  ]\"\n\n      iex> PhpAssocMap.Exploder.explode(\"['key'=>['next'=>'value']]\", {:tabs})\n      \"[\n\t'key'=>[\n\t\t'next'=>'value'\n\t\t]\n\t]\"\n\n      iex> PhpAssocMap.Exploder.explode(\"['key'=>['next'=>'value']]\", {:spaces, 1})\n      \"[\n 'key'=>[\n  'next'=>'value'\n  ]\n ]\"","ref":"PhpAssocMap.Exploder.html#explode/1"},{"type":"function","title":"PhpAssocMap.Exploder.explode/2","doc":"","ref":"PhpAssocMap.Exploder.html#explode/2"},{"type":"module","title":"PhpAssocMap.Map.Parser","doc":"","ref":"PhpAssocMap.Map.Parser.html"},{"type":"function","title":"PhpAssocMap.Map.Parser.parse/1","doc":"","ref":"PhpAssocMap.Map.Parser.html#parse/1"},{"type":"module","title":"PhpAssocMap.Map.Serializer","doc":"","ref":"PhpAssocMap.Map.Serializer.html"},{"type":"function","title":"PhpAssocMap.Map.Serializer.from_map/1","doc":"","ref":"PhpAssocMap.Map.Serializer.html#from_map/1"},{"type":"function","title":"PhpAssocMap.Map.Serializer.from_map/2","doc":"","ref":"PhpAssocMap.Map.Serializer.html#from_map/2"},{"type":"module","title":"PhpAssocMap.Tuple.Serializer","doc":"","ref":"PhpAssocMap.Tuple.Serializer.html"},{"type":"function","title":"PhpAssocMap.Tuple.Serializer.from_tuple/1","doc":"","ref":"PhpAssocMap.Tuple.Serializer.html#from_tuple/1"},{"type":"function","title":"PhpAssocMap.Tuple.Serializer.from_tuple/2","doc":"","ref":"PhpAssocMap.Tuple.Serializer.html#from_tuple/2"},{"type":"module","title":"PhpAssocMap.Utils","doc":"","ref":"PhpAssocMap.Utils.html"},{"type":"function","title":"PhpAssocMap.Utils.associate/2","doc":"Converts a key and a value into an associative array association using arrow","ref":"PhpAssocMap.Utils.html#associate/2"},{"type":"function","title":"Exemples - PhpAssocMap.Utils.associate/2","doc":"iex> PhpAssocMap.Utils.associate(\"my_key\", \"'Some value'\")\n      \"'my_key'=>'Some value'\"","ref":"PhpAssocMap.Utils.html#associate/2-exemples"},{"type":"function","title":"PhpAssocMap.Utils.stringify/1","doc":"Convert a string for a literal string by escaping quotes and wrapping into them","ref":"PhpAssocMap.Utils.html#stringify/1"},{"type":"function","title":"Exemples - PhpAssocMap.Utils.stringify/1","doc":"iex> PhpAssocMap.Utils.stringify(\"Jon's\")\n      \"'Jon\\\\'s'\"","ref":"PhpAssocMap.Utils.html#stringify/1-exemples"},{"type":"function","title":"PhpAssocMap.Utils.wrap/2","doc":"Wraps a value inside specified string.\n\n  Using wrap/2 will wrap both end using the same string.\n  Using the wrap/3 will wrap left with second parameter and right with third","ref":"PhpAssocMap.Utils.html#wrap/2"},{"type":"function","title":"Exemples - PhpAssocMap.Utils.wrap/2","doc":"iex> PhpAssocMap.Utils.wrap(\"house\", \"*\")\n      \"*house*\"\n\n      iex> PhpAssocMap.Utils.wrap(\"house\", \"{\", \"}\")\n      \"{house}\"","ref":"PhpAssocMap.Utils.html#wrap/2-exemples"},{"type":"function","title":"PhpAssocMap.Utils.wrap/3","doc":"","ref":"PhpAssocMap.Utils.html#wrap/3"}],"content_type":"text/markdown"}